# Subscription

A subscription is a recurring payment.
The client authorizes a transaction at regular intervals, such as weekly, monthly, or annually.
Examples include mortgages, leases, streaming media payments, and Insurance premiums.
Payments represent:
* **Recurring billing**. The transaction happens automatically on a set schedule without the client having to re-enter payment details.
* **Pre-authorization**. The customer approves transactions for future charges.
* **Fixed or variable amounts**. The transaction can be the same every cycle, such as for a streaming service or vary based on usage, such as a utility bill.
* **Stored payment**. The transaction uses a vault or stored payment method.
Payment methods include a credit or debit card (only sale transactions) and ACH electronic check.

Installments may be specified as a combination of:
* Days of the month, such as the 1st, 15th, or 30th
* Weeks of the month, such as the first week or the third week
* Months, such as 1 (January), 3 (March), or 12 (December)

Installments may either specify:
* A set number of payments, such as 36, 60, 360.
For example, this may be for a mortgage or car payment.
* Be indefinite and not specify an end date or a number of payments.
For example, this may be for a streaming media subscription.

The following endpoints are available:
`GET /sub-api/v1/subscriptions`<br>
Lists subscriptions associated with the merchant.
`GET /sub-api/v1/subscriptions/{{subscriptionId}}`<br>
Lists subscriptions associated with a specified subscription identifier.
`POST /sub-api/v1/subscriptions`<br>
Creates a subscription.
`GET /sub-api/v1/subscriptions/{{subscriptionId}}/payments`<br>
Lists the payment history from a specified subscription identifier.
`PUT /sub-api/v1/subscriptions/{{subscriptionId}}/terminate`<br>
Terminate or cancels the specified subscription identifier.

 - [GET /sub-api/v1/subscriptions](https://developer.flute.com/api-reference/subscription/sub_api_v1_list_subscriptions.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions</span> This endpoint returns a list of the merchant's subscriptions.
 - [POST /sub-api/v1/subscriptions](https://developer.flute.com/api-reference/subscription/sub_api_v1_create_subscriptions.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions</span> This endpoint creates a subscription. A subscription is a recurring payment. The client authorizes a
 - [GET /sub-api/v1/subscriptions/{subscriptionId}](https://developer.flute.com/api-reference/subscription/flute-v1-get-sub-api-subscriptions-subscriptionid.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions/{subscriptionId}</span> This endpoint retrieves a specified subscription.
 - [GET /sub-api/v1/subscriptions/{subscriptionId}/payments](https://developer.flute.com/api-reference/subscription/flute-v1-get-sub-api-subscriptions-subscriptionid-payments.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions/{{subscriptionId}}/payments</span> This endpoint retrieves a history of payments for a specified subscriptio
 - [PUT /sub-api/v1/subscriptions/{subscriptionId}/terminate](https://developer.flute.com/api-reference/subscription/flute-v1-put-sub-api-subscriptions-subscriptionid-terminate.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions/{{subscriptionId}}/terminate</span> This endpoint terminates, or cancels, an active subscription. This actio
